class VoteResultStruct < ActionWebService::Struct
  member :plurality_winners, [:int]
  member :approval_winners, [:int]
  member :condorcet_winners, [:int]
  member :ssd_winners, [:int]
  member :borda_winners, [:int]
  member :errors, [:string]
end
class CandidateMap < ActionWebService::Struct
  member :candidate_ids, [:int]
  member :candidate_names, [:string]
  member :errors, [:string]
end
class SelectricityAPI < ActionWebService::API::Base
  api_method :cast_quickvote, :expects => [:string, :int, [[:int]]], :returns => [:string]
  api_method :get_quickvote_results, :expects => [:string], :returns => [VoteResultStruct]
  api_method :get_quickvote_candidate_map, :expects => [:string], :returns => [CandidateMap]
  api_method :quickvote_candidate_ids_to_names, :expects => [:string,[:int]], :returns => [[:string]]
end


